> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get historycsv status



## OpenAPI

````yaml /api-reference/oda-history-service-1.0.0.yml get /history/csv/{id}/status
openapi: 3.0.1
info:
  title: oda-history-service
  version: 1.0.0
servers: []
security: []
paths:
  /history/csv/{id}/status:
    get:
      operationId: getCsvStatus
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: getCsvStatus 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DownloadCsv.CsvStatus'
components:
  schemas:
    DownloadCsv.CsvStatus:
      required:
        - ready
      type: object
      properties:
        ready:
          type: boolean

````